<?php

require_once('browser.php');

class myHelper
{

    /*
     * Add first counter
     */
    public static function addVisits($timeStamp = 0, $clientType = 'guests', $ipAddress, $userAgent = null)
    {
        global $db;

		$visitor=array(
			"timestamp"=>$timeStamp,
			"visits"=>1,
			"ipaddress"=>$ipAddress,
			"useragent"=>$userAgent
		);
		$db->insert_query("visitorcounter",$visitor);

    }

    /*
     * Update count visit
     */
    public static function updateVisits($timeStamp = 0, $clientType = 'guests', $ipAddress, $userAgent = null)
    {
		global $db;
		$visitor=array(
			"timestamp"=>$timeStamp,
			"visits"=>"visits+1",
			"ipaddress"=>$ipAddress,
			"useragent"=>$userAgent
		);
		$wherecluse="ipaddress = '$ipAddress' and useragent LIKE '%$userAgent%' and timestamp = $timeStamp";
		$db->query("UPDATE ".$db->get_table_prefix()."visitorcounter SET visits=visits+1 where $wherecluse");
    }

    /*
     * Getting last time who visit site by ip and browser
     */
    public static function getLastVisit($ipAddress = '', $userAgent = '', $bot = false)
    {

		global $db;
		$options = array(
					"order_by" => "timestamp",
					"order_dir" => "desc"
						);
		$wherecluse="ipaddress = '$ipAddress'";
		if (!$bot) $wherecluse .= " and useragent LIKE '%$userAgent%'";
						
		$query=$db->simple_select("visitorcounter","timestamp",$wherecluse ,$options);
		if ($query) $res=$db->fetch_array($query);
		if ($res) return ($res['timestamp']);
		return(0);
    }
//----------------------------------------------------------------------------------------------------
    public static function checkBrowserInfo()
    {
        $browserInfo = strtolower( $_SERVER['HTTP_USER_AGENT']);
        $browser = new Browser($browserInfo);
        $userAgent = '';
        $clientType = '';

        switch ($browser->getBrowser()) {

            case 'Opera':
                $userAgent = 'opera';
                break;
            case 'Internet Explorer':
                $userAgent = 'msie';
                break;
            case 'Chrome':
                $userAgent = 'chrome';
                break;
            case 'Firefox':
                $userAgent = 'firefox';
                break;
            default:
                $userAgent = 'other';
                break;
        }

        return array('userAgent' => $userAgent,  'ipAddress' =>$_SERVER['REMOTE_ADDR']);
    }
//--------------------------------------------------------------------------------------------------
 public static function getTodayVisitors()
    {

		
		global $db;
		
		$wherecluse="timestamp BETWEEN UNIX_TIMESTAMP(DATE(NOW())) AND UNIX_TIMESTAMP(DATE(NOW()) + INTERVAL 1 DAY)";

		$query=$db->simple_select("visitorcounter","sum(visits) sumv", $wherecluse);
		$total=$db->fetch_field($query,"sumv");
        return ($total)? $total : 0 ;
		
    }

    public static function getYesterdayVisitors()
    {

		global $db;
		
		$wherecluse="timestamp BETWEEN UNIX_TIMESTAMP(DATE(NOW() - INTERVAL 1 DAY)) AND UNIX_TIMESTAMP(DATE(NOW()))";

		$query=$db->simple_select("visitorcounter","sum(visits) sumv", $wherecluse);
		$total=$db->fetch_field($query,"sumv");
        return ($total)? $total : 0 ;
		
    }

    public static function getTotalVisitors()
    {
		global $db;

		$query=$db->simple_select("visitorcounter","sum(visits) sumv");
		$total=$db->fetch_field($query,"sumv");
        return ($total)? $total : 0 ;
    }


    public static function getOnline($duration = 10)
    {
		global $db;
		$time = time();
		$lifeTime = $time-($duration * 60);
        
		$wherecluse="timestamp>=$lifeTime";
		$query=$db->simple_select("visitorcounter","count(visits) cnt",$wherecluse);
		$total=$db->fetch_field($query,"cnt");
        return ($total)? $total : 0 ;
       
    }

}